# Top level make file.  Makes and clean everything.
all : 
	cd Tsai-method-v3.0b3; make tsailib
	cd ccalib; make
	cd find_light; make
	cd desk_scan; make
	cp ccalib/ccalib bin/
	cp find_light/find_light bin/
	cp desk_scan/desk_scan bin/
	cp desk_scan/merge bin/

clean :
	cd Tsai-method-v3.0b3; make tsaiclean
	cd ccalib; make clean
	cd find_light; make clean
	cd desk_scan; make clean
	rm -f bin/* *~
